### 1007 - Cmd Parameter Removed

**Description**: Checks whether an existing parameter of a cmd is removed from the previous cli version. 

**Analysis**: This is considered a breaking change because it may influence users' current workflow. This change requires to be released during breaking-change window.

**Example**: An existing parameter `--export-to-resource-specific` is removed from cmd `az monitor diagnostic-setting create` in new cli version.

#### Before
> az monitor diagnostic-settings create -h 
> 
> Command
>   
> az monitor diagnostic-settings create : Create diagnostic settings for the specified resource.
>
> Arguments
> 
> --name -n [Required] : The name of the diagnostic setting. Required.
> 
> --export-to-resource-specific : Indicate that the export to LA must be done to a resource specific table.
> 
> --event-hub : Name or ID an event hub. 
> 
> --event-hub-rule : Name or ID of the event hub authorization rule.
> 
> ...
> 
> ...
> 

#### After 
> az monitor diagnostic-settings create -h 
> 
> Command
>   
> az monitor diagnostic-settings create : Create diagnostic settings for the specified resource.
>
> Arguments
> 
> --name -n [Required] : The name of the diagnostic setting. Required.
> 
> --event-hub : Name or ID an event hub. 
> 
> --event-hub-rule : Name or ID of the event hub authorization rule.
> 
> ...
> 
> ...
> 